org.apache.kylin.jdbc

## Class KylinMeta.KMetaTable

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaTable
  - - org.apache.kylin.jdbc.KylinMeta.KMetaTable

All Implemented Interfaces:
  org.apache.calcite.avatica.MetaImpl.Named, KylinMeta.NamedWithChildren

Enclosing class:
  KylinMeta

    public static class KylinMeta.KMetaTable
    extends org.apache.calcite.avatica.MetaImpl.MetaTable
    implements KylinMeta.NamedWithChildren

### Field Summary

Fields
`List<KylinMeta.KMetaColumn>` `columns`

### Fields inherited from class org.apache.calcite.avatica.MetaImpl.MetaTable

`refGeneration, remarks, selfReferencingColName, tableCat, tableName, tableSchem, tableType, typeCat, typeName, typeSchem`

### Constructor Summary

Constructors
Constructor and Description
`KylinMeta.KMetaTable(String tableCat, String tableSchem, String tableName, String tableType, List<KylinMeta.KMetaColumn> columns)`

### Method Summary

Methods
`List<? extends KylinMeta.NamedWithChildren>` `getChildren()`

### Methods inherited from class org.apache.calcite.avatica.MetaImpl.MetaTable

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.calcite.avatica.MetaImpl.Named

`getName`

### Field Detail

#### columns

    public final List<KylinMeta.KMetaColumn> columns

### Constructor Detail

#### KylinMeta.KMetaTable

    public KylinMeta.KMetaTable(String tableCat,
                        String tableSchem,
                        String tableName,
                        String tableType,
                        List<KylinMeta.KMetaColumn> columns)

### Method Detail

#### getChildren

    public List<? extends KylinMeta.NamedWithChildren> getChildren()

Specified by:
  `getChildren` in interface `KylinMeta.NamedWithChildren`